<?php

require '../vendor/autoload.php';
require './config.php';

$albumId = $_GET['id'];

print_r($album_id);

$images = immichRequest("$IMMICH_URL/api/albums/$albumId");

$loader = new \Twig\Loader\FilesystemLoader('../templates');
$twig = new \Twig\Environment($loader);

logData($_SERVER["HTTP_X_REAL_IP"] . ' - ' . 'Album ' . $images['albumName'] . ' wurde aufgerufen');

echo $twig->render('portfolio_album.twig', [
    'images_data' => $images,
    'immich_url' => $IMMICH_URL,
    'web_url' => $WEB_URL,
    'project_title' => $PROJECT_TITLE
]);